# petsc4py.PETSc.TS.ProblemType

class petsc4py.PETSc.TS.ProblemType

  Bases: `object`

  Distinguishes linear and nonlinear problems.

  Attributes Summary

  `LINEAR` | Constant `LINEAR` of type `int`
  `NONLINEAR` | Constant `NONLINEAR` of type `int`

  Attributes Documentation

  LINEAR: int = LINEAR

    Constant `LINEAR` of type `int`

  NONLINEAR: int = NONLINEAR

    Constant `NONLINEAR` of type `int`